0.285 2026-01-30
----------------


MAME Testers bugs fixed
-----------------------
- 05422: [Sound] (dataeast/deco32.cpp) All games in deco32.cpp and deco156.cpp: Soft volume control does not work. (Dirk Best)
- 08679: [DIP/Input] (sega/segas32.cpp) alien3 and clones: Gun Y axis wraps from the top to the bottom of the screen. (Dirk Best)
- 08759: [DIP/Input] (skeleton/pencil2.cpp) pencil2: The Hand Controller required for some games in not emulated. (Nigel Barnes)
- 08830: [Crash/Freeze] (konami/hornet.cpp) all sets in hornet.cpp: MAME crashes when examining SHARC 0x3500000 area. (Vas Crabb)
- 09342: [Save/Restore] (atari/jaguar.cpp) jaguar [cfodder]: Cartridge EEPROM is not emulated. (Angelo Salese)
- 09357: [Color/Palette] (irem/m10.cpp) ipminvad2: Bases are drawn incorrectly and colours are incorrect. (hap)
- 09369: [Graphics] (capcom/cps2.cpp) xmvsf and clones, mshvsf and clones: The background layer is drawn over sprites. (hap)


New working systems
-------------------
National Telecommunication System Sphinx Legend [hap, Berger]
Moon Raker [Dillweed, SNESNESCUBE64]
Relief Pitcher (System 1, prototype) [anonymous, Dutchman2000, SynaMax]
Waku Waku Jumbo (Rev A) [hammy]


New working clones
------------------
Commodore Business Machines PET 2001-4 (Japan) [Curt Coder]
Devil Fish (Nuova Videotron bootleg) [caius]
Dingo (Nuova Videotron bootleg) [caius]
Dirt Dash (World, DT2 Ver.C) [WangDrum]
Empire City: 1931 (US, bootleg) [Siftware]
Jungle King (Nuova Videotron bootleg) [caius]
Revolution X (revision 2.0 9/8/94) [Victor Fernandez (City Game)]
Sparkle (v1.1.3) [hammy]
Super Poker (v305US) [Siftware]
Tic Tac Trivia (6221-20, U5-0B, 11/17/85) [Brian Troha, The Dumping Union]
Vanguard (SNK, set 2) [caius]


Systems promoted to working
---------------------------
Apple Computer Lisa [O. Galibert]
Apple Computer Lisa2 [O. Galibert]
Maque Wangchao / Chaoji Da Manguan 2 - Jiaqiang Ban (China, V100C) [anonymous]
The Pirates of Dark Water (SNES bootleg) [Devin Acker]


Clones promoted to working
--------------------------
Apple Computer Lisa2/10 [O. Galibert]
Commodore Business Machines CBM 8032 (France) [Curt Coder]
Pravetz 8C [AJR]


New systems marked not working
------------------------------
Casio DG-20 Digital Guitar [BCM, Devin Acker]
Diamond Heart Plus (v18.0) [Siftware]
Dynacord MCC-1 MIDI Control Computer [DBWBP, Edward d-tech]
Goldstar 3DO GDO-101M Interactive Multiplayer (USA?) [Angelo Salese]
Gamebox [Guru]
Lan Mao [SongJi]
Modern Cart [hammy, Oguz, buffi]
Motorola ASSIST05 [AJR]
Multi Game 9 (ver 9.04 Eng) [Siftware]
Roadrunner [stonedDiscord]
Panasonic 3DO FZ-1 R.E.A.L. Interactive Multiplayer (USA) [Angelo Salese]
Sanyo 3DO IMP-21J TRY Interactive Multiplayer (Japan) [Angelo Salese]


New clones marked not working
-----------------------------
21 Club (Barcrest) (German) (MPU4) (GTW 2.7) [stonedDiscord]
Casio DG-10 Digital Guitar [BCM, Devin Acker]
Cherry Bonus III (ver.2.20) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]
Cherry Bonus III (ver.3.0) [Roberto Fresca, Grull Osgo, Siftware]
Compal TS30A [The MacDat Network]
Compal TS30AS [The MacDat Network]
Compal TS30AT [The MacDat Network]
Crown Jewels Deluxe (Barcrest) (German) (MPU4) (CJG 0.4, set 2) [stonedDiscord]
Cup Final (Nova) (MPU4) (set 3) [stonedDiscord]
Goldstar 3DO FC-1 Interactive Multiplayer (USA) [Angelo Salese, 3DO Development Repo]
Goldstar? 3DO FC-2 Interactive Multiplayer (dev kit) [Angelo Salese, 3DO Development Repo]
Happy Farm (Ver. IN.01.01.A) [Siftware]
Panasonic 3DO FZ-1 R.E.A.L. Interactive Multiplayer (Europe) [Angelo Salese]
Panasonic 3DO FZ-1 R.E.A.L. Interactive Multiplayer (Japan) [Angelo Salese, 3DO Development Repo]
Panasonic 3DO FZ-10 R.E.A.L. Interactive Multiplayer (Japan) [Angelo Salese, 3DO Development Repo]
Pink Panther (German) (Maygay) (M1A/B) (set 2) [stonedDiscord]
Puzz Loop (Korea, bootleg) [buffi, nnap, rtw, hammy]
Sanyo 3DO HC-21 Interactive Multiplayer (USA, prototype) [Angelo Salese, 3DO Development Repo]


New working software list items
-------------------------------
apple2_flop_clcracked: The Adventures of Buckaroo Banzai: Across The 8th Dimension! (version G 397) (4am crack) [LoGo, 4am, A-Noid]
apple2_flop_misc:
  The Animated Software Catalog 1985 (Baudville) (version D1551) [4am, A-Noid]
  Pillage Village (One Eye crack) [Asimov, Jason Dyer, A-Noid]
apple2_flop_orig:
  The Adventures of Buckaroo Banzai: Across The 8th Dimension! (version G 397), BannerMania (800K 3.5"),
  Conflict in Vietnam (version 331.00), Crusade in Europe (version 2), Crusade in Europe (version 321.03),
  Dazzle Draw (version 1984-11-15), Dazzle Draw (version 1985-09-16), Decision in the Desert, F-15 Strike Eagle (revision 1),
  F-15 Strike Eagle (revision 2), F-15 Strike Eagle (revision 3), Microsoft Decathlon, NATO Commander (revision 1),
  NATO Commander (version 1.1), NATO Commander (version 1.2), The New Print Shop, Olympic Decathlon,
  Other-Venture #1: Classic Adventure (version 1.0), The Print Shop Companion (revision 1), The Print Shop Companion (revision 2),
  The Print Shop Companion (revision 3), Silent Service (revision 1), Silent Service (version 325.02),
  Silent Service (version 325.04), Solo Flight, Strike Fleet, The Treehouse (version 1.0) (800K 3.5"),
  Where in America's Past is Carmen Sandiego? (version 1.00) (800K 3.5") [4am, A-Noid]
apple2gs_flop_orig: Music Construction Set Dealer Demo, Where in the World is Carmen Sandiego? (version 1.0) [4am, A-Noid]
bbc_rom:
  Advanced Disc Investigator 1.00 S/N:43720, Advanced Disc Toolkit 1.73 (cracked), Amcom DFS S/N:B4190, Amcom E-Net 6.36B,
  Amcom E-Net Client 6.09M, Amcom WFS 5.23, B-Utility 1.24, CMS Link, CMS Link (alt), Commstar 1094, Commstar 1096, Commstar 7585,
  Commstar 7587, Commstar 8827, Commstar II 2.31 S/N:22816, Commstar II 2.40 S/N:22816, Commstar II 2.40 S/N:23977, D.E.Talker 2.30,
  DataTrace 2.34, GS Forth 2.03, GS Forth 2.08, KCopy 1.03, Logik BComp 1.05, Logotron-LOGO 1.00, Lucifer Logic Analyser 2.0b,
  Multi-Basic 3.0, SPEECH-system 1.6, Toolstar 1.77 1511 (T1417), Watford Electronics 32K RAM 1.06,
  Watford Electronics 32K RAM 2.00 (alt), Watford Electronics 32K RAM 2.20, Watford Electronics Speech Software,
  Watford Electronics Speech Software (alt) [Nigel Barnes]
ekara_cart:
  e-kara Web cartridge 12M (used, with 11 songs) (Japan), e-kara Web cartridge 12M (used, with 12 songs, set 10) (Japan),
  e-kara Web cartridge 28M (used, with 28 songs) (Japan) [David Haywood, TeamEurope]
gbcolor: South Park (prototype) [DaKoolDood]
ibm5170_cdrom: Claim to Power (Germany, 10 Top Hits: Super Spiele) [redump.org]
jaguar: Tripper Getem [AtariAge]
juku: J3K Games Disk 2024, J3K Games Disk 2025 [Juku 3000]
k28o: Advanced Spelling I [Kevin Horton]
pencil2:
  Big Foot Chase [6502man, Rayxamber]
  Deepspace, H-Tron, Mastermind RK, Sokoban RK [robertk-retro]
pencil2_cass: Application Software Library [Robbbert]
psx:
  Advanced Dungeons & Dragons: Iron & Blood - Warriors of Ravenloft (USA), Agent Armstrong (Europe), Agile Warrior (Japan),
  Agile Warrior: F-111X (USA), Allied General (Japan), Animal Football (Europe), Archer Maclean's 3D Pool (Europe),
  Asteroids (Europe), Asteroids (France), Asteroids (Germany), Asteroids (Italy), Asteroids (Japan, SuperLite 1500 Series),
  Ayrton Senna Kart Duel (Europe), Ayrton Senna Kart Duel (Japan), Ayrton Senna Kart Duel 2 (Europe),
  Ayrton Senna Kart Duel Special (Japan), Ayrton Senna KartDuel 2 (Japan), Baby Felix Tennis (Europe), Boxer's Road (Japan),
  Boxer's Road (Japan) (PlayStation the Best), Bubble Bobble also featuring Rainbow Islands (Europe),
  Panzer General II: Allied General (Europe), Sampras Extreme Tennis (Europe), Sampras Extreme Tennis (Japan),
  Septentrion: Out of the Blue (Japan), Septentrion: Out of the Blue (Japan) (Major Wave series) [redump.org]
sc3000_cart: BASIC Level 2 (Export, PAL), BASIC Level 2 (Japan, version 1.0b) [Omar Cornut]


Software list items promoted to working
---------------------------------------
jaguar: Tiny Toon Adventures: Plucky Duck in Hollywood Hijinks (prototype) [Angelo Salese]
pc6001_cart: The Curse of Crowley Manor [Angelo Salese]
psx: Agent Armstrong: Himitsu Shirei Daisakusen (Japan) [redump.org]


New software list items marked not working
------------------------------------------
3do:
  Captain Quazar (USA), Cowboy Casino (USA), ESPN Fitness Pros: Step Aerobics (USA), Virtual Puppet Reika (Japan), Virtuoso (USA)
  [redump.org]
apple2_flop_orig: Sid Meier's Pirates! (version 332.01) [4am, A-Noid]
bbc_rom:
  Epromer II 2.3.2, Replay System 8271 1.00A, Replay System 8271 1.00B, Replay System 8271 1.10B, Replay System 8271 1.10C,
  Replay System WD1770 1.01 (alt) [Nigel Barnes]
casio_rompack:
  Enka 5 (RO-114), Enka 9 (RO-125E), The Hit Parade (RO-101), Young Best Hits 8 (RO-191Y), Young Best Hits 9 (RO-192Y)
  [Edward d-tech]
  Christmas Songs 2 (RO-180X) [Ian Wang]
  Animation (RO-155), Animation 2 (RO-162), Animation Themes 3 (RO-166), Animation Themes 4 (RO-169A), Animation Themes 5 (RO-170A),
  Animation Themes 6 (RO-178A), Animation Themes 7 (RO-189A), Beatles 2 (RO-182B), Comic Songs (RO-183C), Easy Listening 3 (RO-110),
  Enka 3 (RO-108), Enka 4 (RO-111), Enka Vol.2 Karaoke Hit-shū (RO-106), Event Songs (RO-171I),
  Game Music: "Dragon Quest III" Yori (RO-172G), Hit Kayou (RO-102), Kodomo no Uta 1 (RO-158), Kodomo no Uta 3 (RO-119),
  New Music (RO-103), Paul Mauriat (RO-151), Screen Themes 3 (RO-118), Shougakusei no Ongaku 1 (RO-184T),
  Shougakusei no Ongaku 2 (RO-185T), Shougakusei no Ongaku 3 (RO-186T), Standards 2 (RO-181S), Young Best Hits (RO-113),
  Young Hits (RO-153) [kosei_515]
cbm8296_flop: PETpeeve [Curt Coder]
hikara: Hi-kara 10-song capacity user cartridge (used, with 9 songs) (Japan) [David Haywood, TeamEurope]
jaguar:
  Beebris, Degz, Downfall, Expressway, Full Circle: Rocketeer, Project One, Rocks Off!, SuperFly DX (v1.1),
  Thea Realm Fighters (prototype, v1), Thea Realm Fighters (prototype, v2) [AtariMania]
n64: Viewpoint 2064 (prototype 20000413, master 4/13 version) [Gaming Alexandria, wherewilf]


Merged pull requests
--------------------
- 14634: n64.xml: Added a newer Viewpoint 2064 prototype (not working). [Gaming Alexandria, wherewilf, jflatt]
- 14717: barcrest: Added five gambling systems on MPU4 hardware (not working). [stonedDiscord]
- 14719: vtech/gkidabc.cpp: Added a list of systems that may use similar hardware to the header comment. [vtarchive]
- 14724: generic_cdrom.xml: Moved Windows NT installation media out of system-specific software lists. [Mike Swanson]
- 14731: seibu/raiden2_v.cpp: Draw sprites using priority for X Se Dae Quiz (no blending). [cam900]
- 14733: casio_rompack.xml: Updated the list of undumped cartridges. [ICEknight]
- 14734: sinclair: Thank some people in header comments. [holub]
- 14737: atari/atarisy1.cpp: Added a prototype version of Relief Pitcher. [anonymous, Dutchman2000, SynaMax, David Haywood]
- 14741: seibu/raiden2.h: Removed unused static data members that are never instantiated. [cam900]
- 14742: sequential/prophet5.cpp, sound/va_vca.cpp: Added a CA3280 VCA and preliminary Prophet 5 audio pipeline. [m1macrophage]
- 14744: sinclair: Added raster offsets to saved states for several devices. [holub]
- 14745: mw8080/8080bw.cpp: Added Nichibutsu Moon Raker. [Dillweed, SNESNESCUBE64, David Haywood]
- 14749: apple/apple2gs.cpp: Fixed one-second and quarter-second interrupts and vertical counter. [arekkusu42]
- 14758: sc3000_cart.xml: Added two additional versions of SC-3000 BASIC Level 2. [Omar Cornut, Andrew Kerr]
- 14760: cpu/drccache.cpp: Defer allocating memory to start, and add an option to never use writable, executable pages. [Vas Crabb]
- 14761: casio_rompack.xml: Added 33 items (not working). [kosei_515, Edward d-tech, Ian Want, ICEknight]
- 14763: machine/spi_sdcard.cpp: Added configurable seek and read response delays. [holub]
- 14774: cpu/drccache.cpp, cpu/drcbeut.cpp: Minimise the number of pages that need protection changes. [Vas Crabb]
- 14775: Cleaned up metadata in various software lists. [ArcadeShadow]
- 14776: cpu/z80: Fixed daisy chain interrupts being ignored when the IRQ line is deasserted. [holub]
- 14782: casio/dg20.cpp: Added the Casio DG-10 and DG-20 digital guitars (not working, missing PCM ROMs). [BCM, Devin Acker]
- 14786: midway/midxunit.cpp: Added Revolution X revision 2.0. [Victor Fernandez (City Game), ClawGrip]
- 14787: x68k_flop.xml: Marked the cracked version of Laplace no Ma as also being an older version. [einstein95]
- 14789: sinclair: Added the scroll wheel axis to Kempston mouse inputs. [holub]
- 14791: psx.xml: Added 26 working items, and replaced nine items with better dumps. [redump.org, ArcadeShadow]
- 14792: namco/namcops2.cpp: Added the offline version of Battle Gear 3 to the list of games. [FMecha]
- 14793: casio/ld50.cpp: Added a MIDI output port and a battery level input. [Devin Acker]
- 14794: cpu/upd7810: Use internal 4K ROM for µPD7801, and improved debugger register display. [Devin Acker]
- 14795: kaneko/suprnova.cpp: Improved metadata for the recently added Puzz Loop bootleg. [cam900]
- 14802: nintendo/snesb.cpp: Promoted the bootleg of The Pirates of Dark Water to working. [Devin Acker]
- 14804: misc/3do_clio.cpp, misc/3do_madam.cpp: Moved the 3DO Madam and Clio emulation to separate devices. [Angelo Salese]
- 14805: handheld/evolution_handheld.cpp: Removed incorrectly copied comments. [David Haywood]
- 14806: gridcomp/gridcomp.cpp: Added the 8087 coprocessor, which was always present. [Valera Klachkov]
- 14808: taito/taitojc.cpp: Added a wheel motor output for the Side by Side games. [Endprodukt]
- 14809: gbcolor.xml: Added the prototype South Park game (later reworked to use other IP). [DaKoolDood, Mike Swanson]
- 14810: atari/atarisy1.cpp: Enable timer interrupts for Relief Pitcher (required for controls to work). [David Haywood]
- 14811: misc/39in1.cpp: Corrected the display resolution DIP switch setting labels. [LeWolfYT]
- 14812: atari/atarisy1.cpp: Fixed inputs for Relief Pitcher. [SynaMax]
- 14813: misc/3do.cpp: Split systems into real-world models. [Angelo Salese, 3DO Development Repo]
- 14816: atari/atarisy1.cpp: Marked Relief Pitcher as working. [SynaMax]
- 14817: ussr/juku.cpp: Added/corrected ROMs and corrected vertical resolution; juku.xml: Added two Juku 3000 disks. [Märt Põder]
- 14818: snk/snk_v.cpp: Added two data members to save states. [TheLostNinja]
- 14825: util/options.cpp, frontend/mame/luaengine.cpp: Parse default option values. [Nathan Woods]
- 14826: sequential/prophet5.cpp: Hooked up the CEM3320 filter. [m1macrophage]
- 14828: Added the latest Apple II dumps and cracks to the relevant software lists. [4am,LoGo, Jason Dyer, Asimov, A-Noid]
- 14830: skeleton/lanmao.cpp: Hooked up ADPCM sound sample ROM banking. [flama12333]
- 14833: sega/model2.cpp: Delay interrupt mask updates by two cycles (prevents premature sound interrupts). [Matthew Daniels]
- 14835: capcom/cps2.cpp: Corrected descriptions of integrated circuits in comments. [cam900]
- 14838: cave/cv1k.cpp, cave/cv1k_v.cpp: Fixed debugger issues, improved logging, improved naming, and cleaned up code. [cam900]
- 14839: bus/cbmiec/c5181.cpp: Added the Xetec C-5181 serial printer interface. [Devin Acker]
- 14843: frontend/mame/luaengine.cpp: Avoid overloading Lua functions on number types. [Nathan Woods]
- 14847: ekara_cart.xml: Added three used user cartridges; hikara.xml: Added one used user cartridge. [David Haywood, TeamEurope]


Source changes
--------------
-m68008: Fix crash when trying to set PC from debugger [AJR]

-hominn/hominn_980924.cpp: added BG layer [Ivan Vangelista]

-simpsons: change screen visible width to 320 again after confirming it on a 2nd pcb [Jim Westfall]

-kncljoe: add screen raw params from video measurements [hap, Guru]

-travrusa: normalize red color channel [hap]

-kncljoe: normalize red color channel for 2nd half of palette [hap]

-nec/pc6001.cpp: move pc6001 cartslot mapping to memory map [angelosa]

-hash/pc6001_cart.xml: update QA [angelosa]

New working software list items
-------------------------------
ibm5170_cdrom: Claim to Power (Germany, 10 Top Hits: Super Spiele) [redump.org]

-kncljoe: add note about overclocked z80 [hap]

-pc6601sr: Add NO_DUMP entries for additional 8049 MCUs [AJR]
 * pc6001: Note just how bad the MCU dump appears to be

-formats/ap_dsk35.cpp: Recognize .po extension for 400K/800K raw sector images [AJR]

-seibu/raiden2_v.cpp: Draw sprites using priority for xsedae (no blending). (#14731) [cam900]
 * seibu/raiden2.cpp: Moved systems with blending to a separate state class, reduced code duplication.

-bus/a2bus/vistaa800.cpp: Use XTAL value from schematics; use device array finder for floppies [AJR]

-atari/jaguar_v.cpp: attempt to make scanline_update safer [angelosa]

-hash/jaguar.xml: update QA [angelosa]

-apricot: Combine apricot and apricotxi drivers and use bios system to select bootstrap version. Add a custom 'Apricot User Group'
 bios. [Dirk Best, NeXT/vcfed]

-atari/jaguar_v.cpp: mask host irqs if correlated bit in INT1 isn't enabled [angelosa]

-atari/jaguar.cpp: rewrite EEPROM access [angelosa]

-atari/jaguar_a.cpp: add JPIT1 and JPIT2 irq sources [angelosa]
 * fix sound in cybermor and mutntpng

-deco32/deco156: Volume control improvements [Dirk Best]
 * deco32/lockload: Fix volume control
 * deco156/hvysmsh: Implement volume control
   - Fixes MT05422

-deco32/deco156: Fix volume control comment [Dirk Best]

-seibu/raiden2.h: Removed static member declarations that aren't actually defined. (#14741) [cam900]

New systems marked not working
------------------------------
Modern Cart [Hammy, Oguz, buffi]

-imgtool: Retired the get_chain method. This is no longer implemented by any supported filesystem, and no command made any use of
 the information it provided. (floptool's flopblocks command is functionally comparable.) [AJR]

-raiden2.h: misplaced ATTR_COLD (compiler is ok with it?) [hap]

-sstar28k: lower cpu clock, risc2500: add note about expanded RAM [hap]

-atari/jaguar_a.cpp: sort out JPIT irq section [angelosa]

-lc7535: Use device_sound_interface [Dirk Best]
 * Remove custom volume callback
 * Add option to use a logarithmic gain scale
 * Use explictly sized variables
   - deco32: Update dragngun for new lc7535 interface and support switching the gun oki output between gun speaker and main speaker

-sprachmg: add u8 prefix to utf8 strings [hap]

new WORKING machine (#14745)
----------------------------
Moon Raker [Dillweed, SNESNESCUBE64]

New systems marked not working
------------------------------
Gamebox [Guru]

-mraker/rollingc: use rom pcb locations from moonbase, remove shifter ic, mraker: add undumped stars rom region, add dipswitches
 [hap]

-mraker: add weird cabinet type dsw, add flipscreen, remove sound hardware (sound did not work, and it doesn't have a sn76477) [hap]

-Cleaned up various stuff. [Vas Crabb]

-atari/jaguar_a.cpp: JPIT setups needs either prescaler or divider set to work [angelosa]
 * fix pbfant sound

-atari/jaguar_a.cpp: allow changing serial frequency after setting SMODE [angelosa]
 * allow playback of BIOS roaring sample

-atari/jaguar_v.cpp: PIT GPU timer are after regular clock with no internal divider [angelosa]
 * fix raiden BGM tempo

-apple2gs: fix 1-sec and 1/4-sec IRQs (#14749) [arekkusu42]
 * Followup #14277: fix 1-sec IRQs to be triggered by the RTC instead of depending on the display refresh rate.  Fix 1/4-sec IRQs to
    trigger on scanline 256 (at the video counter overflow reset), matching hardware behavior.
 * Also followup f3eacf7: fix an off-by-one error in get_vpos() and make it NTSC/PAL-agnostic.
 * Also change C044/45 to return zero, so that AppleTalk doesn't hang during boot.

-atari/jaguar_v.cpp: Fix clang error: unused variable 'sample_period' [-Werror,-Wunused-variable]

-xtal.cpp: Add value for later use [AJR]

-segas32/alien3: Add PORT_MINMAX to the Y direction to avoid the value going out of range. [Dirk Best]
 * Fixes #12730 and MT08679

-atari/jaguar_v.cpp: disable PIT on prescaler == 0xffff [angelosa]

-tms5110: remove romclk_hack [hap]

-cvs: lower tms5100 clock (no xtal) [hap]

New working systems
-------------------
Waku Waku Jumbo (Rev A) [Hammy]

-misc/v0bowl.cpp: minor notes update [Ivan Vangelista]

-sbmjb,packysts: use "no" instead of "'s" in Japanese game title, soldivid: remove "The" from sub title [soundsnow]

-atari/jaguar.cpp: fix player 2 buttons [angelosa]

-microsoft/xbox.cpp: remove leftovers [angelosa]

-cpu/jaguar/jaguar.cpp: don't set a pending irq if line is masked [angelosa]

-atari/jaguar.cpp: fix quickload regression [Robbbert]

-cpu/jaguar/jaguar.cpp: use set_input_line for irq 0 as well [angelosa]

-sinclair/chloe,specnext,sprinter,tsconf.cpp: Added missing credits (#14734) [holub]

-sinclair/specnext*.cpp: Added missing save states (#14744) [holub]

-hash/n64.xml: Add Viewpoint 2064 master dump (#14634) [jflatt]

New software list items marked not working
------------------------------------------
n64: Viewpoint 2064 (Japan, prototype, master 4/13 version) [archive.org]

-hash: Move Windows NT from ibm5170_cdrom.xml to generic_cdrom.xml (#14724) [Mike Swanson]
 * hash: Move Windows NT to generic_cdrom.xml
 * generic_cdrom: add ibmpc,pc98 compatibility tags to entries
 * generic_cdrom: mark all non-ibmpc,mipsr4000 NT entries as partially supported

Software list hooks added to `src/mame/dec/jensen.cpp` and `src/mame/ibm/thinkpad8xx.cpp` for the generic_cdrom.cpp lists.
--------------------------------------------------------------------------------------------------------------------------
Co-authored-by: Angelo Salese <angelosa@users.noreply.github.com> [Mike Swanson]

-thinkpad8xx,webtouchone: add preliminary address map, ncdmips: small cleanup [hap]

-gkidabc.cpp: Add known undumped versions on similar hardware (#14719) [vtarchive]

-ibmpcjx: fix array out of bounds access (does not fix random mame crash) [hap]

-formats/csw_cas.cpp: Fix confusion between 16-bit and 32-bit values [AJR]

-Added 2 verified SEGA SC-3000 BASIC Level 2 definitions. (#14758) [Andrew Kerr]

New working software list items
-------------------------------
sc3000_cart.xml: BASIC Level 2 (Export, PAL), BASIC Level 2 (Japan, version 1.0b) [Omar Cornut]

-hash/casio_rompack.xml: Some info corrections/additions (#14733) [ICEknigh7]
 * RO-267 being a standalone release of The Muppets seems to only be a rumor, so removing it
 * Changed table to missing dumps list

-atari/jagobj.ipp: stop opcode populates object code too [angelosa]

-atari/jaguar_v.cpp: blitter readback fix for avsp [angelosa]

-atari/jagobj.ipp: correct RMW masks [angelosa]

-sc3000_cart.xml: Fix validation after 569ccf1d437191ad5ae3f643f5b65d109dc51826 [AJR]

-prav8c: Update notes [AJR]

-machine/spi_sdcard.cpp: Added configurable read/seek delays (#14763) [holub]

-prav8c: Update notes again [AJR]

New working clones
------------------
Empire City: 1931 (US, bootleg) [Siftware]

-sega/vicdual.cpp: corrected audio CPU ROM label for carnivalb [Guru]

-deco32: use common xtals for nslasher, dink confirmed tattass maincpu xtal, lower soundcpu clock for some games [hap]

-hash/generic_cdrom.xml: move v16imagine/v16rise from ibm5170_cdrom [angelosa]

-atari/jaguar_a.cpp, atari/jaguar_v.cpp: upcast PIT and JPIT to u64 resolution [angelosa]
 * fix hang regression in jaguarcd

New clones marked not working
-----------------------------
Cherry Bonus III (ver.3.0) [Roberto Fresca, Grull Osgo, Siftware]

-plugins/offscreenreload: Added an off-screen reload helper plugin for people playing lightgun games with other types of controls.
 [Vas Crabb]

-Documented the specs of Cherry Bonus III (ver.3.0). [Roberto Fresca]

-Extra notes about CB3 release date. [Roberto Fresca]

New working clones
------------------
Dirt Dash (World, DT2 Ver.C) [WangDrum]

-adam: Fix longstanding regression with reading cartridges [AJR]

-unidasm: Allow "0" to be specified as a parameter for numeric options [AJR]

-cpu/drccache.cpp: Defer allocating to start, allow forcing W^X mode. (#14760) [Vas Crabb]
 * cpu/drccache.cpp: Added helpers for allocating structures/objects in the cache.
 * cpu/drccache.cpp: Supply desired alignment when allocating cache memory (not fully implemented).
 * cpu/drccache.cpp: Log some statistics on destruction.
 * emu/emuopts.cpp: Added -[no]drc_rwx option to allow forcing W^X mode when writable executable pages are permitted.
 * cpu/mips, cpu/powerpc: Allow DRC cache size to be set externally at configuration time, so systems can override the default.
 * cpu/dspp, cpu/e132xs, cpu/unsp: Don't allocate DRC resources if recompiler is disabled.

-k28o: added module slot [hap]

New working software list items
-------------------------------
k28o: Advanced Spelling I [Kevin Horton]

-adam: Add the two reset switches. The system will no longer automatically boot from a cartridge unless the "Cartridge Reset" switch
 is pressed. [AJR]

-Updated years to 2026 where appropriate. [Vas Crabb]
 * Also bumped documentation version to 0.285 as it describes new functionality not in 0.284, and removed ARM7 from the list of DRC
    CPUs since its incomplete recompiler functionality was removed.

-plugins/commonui: Fixed Cancel not working in input selection menus. [Vas Crabb]

-atari/jagobj.ipp: regular bitmap rewrite of 16bpp and 24bpp using pitch base [angelosa]
 * bump number of object processor max entries to 200, fix raiden ranking screen and ttoonadv missing gameplay GFXs

-cpu/e132xs: Simplify arithmetic right shift calculations [AJR]

-choplift: sega 315-5025 is not a pld, misc: small cleanup [hap]

-Partially descrambling the Cherry Bonus III (ver.3.0) program. [Roberto Fresca]

New clones marked not working
-----------------------------
Cherry Bonus III (ver.2.20) [Roberto Fresca, Grull Osgo, Ioannis Bampoulas]

-casio_rompack.xml: Added 33 entries (#14761) [ICEknigh7]
 * Added new Japanese Rom Pack dumps:
   - The Hit Parade (RO-101) [Edward d-tech]
   - Hit Kayou (RO-102) [kosei_515]
   - New Music (RO-103) [kosei_515]
   - Enka Vol.2 Karaoke Hit Shuu (RO-106) [kosei_515]
   - Enka 3 (RO-108) [kosei_515]
   - Easy Listening 3 (RO-110) [kosei_515]
   - Enka 4 (RO-111) [kosei_515]
   - Young Best Hits (RO-113) [kosei_515]
   - Enka 5 (RO-114) [Edward d-tech]
   - Screen Themes 3 (RO-118) [kosei_515]
   - Kodomo no Uta 3 (RO-119) [kosei_515]
   - Enka 9 (RO-125E) [Edward d-tech]
   - Paul Mauriat (RO-151) [kosei_515]
   - Young Hits (RO-153) [kosei_515]
   - Animation (RO-155) [kosei_515]
   - Kodomo no Uta 1 (RO-158) [kosei_515]
   - Animation 2 (RO-162) [kosei_515]
   - Animation Themes 3 (RO-166) [kosei_515]
   - Animation Themes 4 (RO-169A) [kosei_515]
   - Animation Themes 5 (RO-170A) [kosei_515]
   - Event Songs (RO-171I) [kosei_515]
   - Game Music: Dragon Quest III Yori (RO-172G) [kosei_515]
   - Animation Themes 6 (RO-178A) [kosei_515]
   - Christmas Songs 2 (RO-180X) [whc2001 (Ian Wang)]
   - Standards 2 (RO-181S) [kosei_515]
   - Beatles 2 (RO-182B) [kosei_515]
   - Comic Songs (RO-183C) [kosei_515]
   - Shougakusei no Ongaku 1 (RO-184T) [kosei_515]
   - Shougakusei no Ongaku 2 (RO-185T) [kosei_515]
   - Shougakusei no Ongaku 3 (RO-186T) [kosei_515]
   - Animation Themes 7 (RO-189A) [kosei_515]
   - Young Best Hits 8 (RO-191Y) [Edward d-tech]
   - Young Best Hits 9 (RO-192Y) [Edward d-tech]

-Partially descrambling the Cherry Bonus III (ver.2.20) program. Added technical documentation. [Roberto Fresca]

-cpu/z80/z80.cpp: Fixed IRQ state if comes from daisy chain (#14776) [holub]

-sgi/pm2: minor mmu refinements [Patrick Mackinlay]

-multibus/dsd5127.cpp: add new wip device [bitsavers]

-k28/k28o: add note about modules [hap]

-atari/jagobj.ipp: move out object pointer from process functions [angelosa]

-atari/jagblit.ipp: implement BCOMPEN [angelosa]
 * fix missil3d text and original version GFXs

-plugins/inputmacro: Added support for non-wrapping analog inputs. [Vas Crabb]

-emu/inputdev.cpp, emu/emuopts.cpp: Removed core off-screen reload hack now that the same thing can be achieved more flexibly with
 plugins. [Vas Crabb]

-ui/pluginopt.cpp: Changed the "previos menu" item text to make what it does more obvious. [Vas Crabb]

-ui/pluginopt.cpp: Fixed declaration/expression abiguity upsetting some compilers. [Vas Crabb]

New software list items marked not working
------------------------------------------
jaguar: Thea Realm Fighters (prototype, 2 sets), Beebris, Degz, Downfall, Expressway, Full Circle: Rocketeer, Project One, Rocks
  Off!, SuperFly DX [AtariMania]

-apple1.xml: Convert some comments into "partno" and "alt_title" metadata [AJR]

New working software list items
-------------------------------
jaguar: Tripper Getem [AtariAge]

-a2scsi, various Mac drivers: Make "cdrom" SCSI option removable [AJR]

-Revert "a2scsi, various Mac drivers: Make "cdrom" SCSI option removable" [arbee]
 * This reverts commit 26da2f2a05274c6c7db660471765a9c4096c350f.

-nscsi/cd.cpp: Add the external version of the AppleCDSC. (Github #14779) [R. Belmont]

New working clones
------------------
Devil Fish (Nuova Videotron bootleg) [caius]
Dingo (Nuova Videotron bootleg) [caius]
Jungle King (Nuova Videotron bootleg) [caius]

-galaxian/galaxold.cpp: redumped GFX ROMS for dkongjrv [Porchy]

-general: merge wayward speakers nscsi: add the new external apple cdrom [Olivier Galibert]

-huc6272: fix inversion and simplify [Olivier Galibert]

-multibus/dsd5217.cpp: add floppy connectors [Patrick Mackinlay]

-igs/igs017.cpp: sdmg2p improvements [Ivan Vangelista]
 * hooked up protection device emulation and Oki ROM banking, game is now playable apart from missing hopper support [anonymous]
 * redumped Oki ROM [Guru]

-cpu/jaguar/jaguar.cpp: massage unaligned accesses towards Tom & Jerry [angelosa]
 * makes protect and protctse playable

-cpu/jaguar/jaguar.cpp: R30 gets overwritten on irqs, fix shlq calculation [angelosa]
 * former fix kasumi booting

-atari/jagblit.ipp: multiply pitch in source and destination widths [angelosa]
 * fix 3d renders for chekflag and others

-barcrest/mpu4.cpp: New NOT WORKING games (#14717) [stonedDiscord]

New systems marked not working
------------------------------
Roadrunner [stonedDiscord]

New clones marked not working
-----------------------------
Cup Final (Nova) (MPU4) (set 3) [stonedDiscord]
21 Club (Barcrest) (German) (MPU4) (GTW 2.7) [stonedDiscord]
Crown Jewels Deluxe (Barcrest) (German) (MPU4) (CJG 0.4, set 2) [stonedDiscord]
Pink Panther (German) (Maygay) (M1A/B) (set 2) [stonedDiscord]

-sequential/prophet5.cpp: Implemented skeleton audio pipeline. (#14742) [m1macrophage]
 * sequential/prophet5.cpp: Implemented skeleton audio pipeline.
 * A440 tone.
 * Noise generator.
 * Master volume.
 * Voice summing.
 * Voice gating.
   - sound/va_vca.cpp: Implemented the CA3280, linearized and non-linearized variants.
   - sound/mm5837.h: Configuration interface simplifications.

-atari/jagobj.ipp: implement pitch in scaled 8bpp bitmap, implement blending in scaled 16bpp [angelosa]
 * partially fixes mutntpng and phase0 main menus, respectively

-atari/jaguar.cpp: fix random crashes in fishfren startup [angelosa]
 * (access cojag_gun_input_r, leftovers?)

-lib/osdlib_win32.cpp: You're supposed to specify MEM_RESERVE when requesting additional address space. [Vas Crabb]
 * This has been buggy since the very first VCS revision of the MAME 0.121 source, but Windows tolerates it.

-bus/multibus/dsd5217.cpp: Put stuff in anonymous namespace. [Vas Crabb]

-ibmpcjx.xml: It was never the "PC JX", it was just "JX". [Vas Crabb]
 * The covers of the manuals have "IBM Personal Computer" in smaller text under the large, stylised "JX" logo.

-barcrest/mpu4bwb.cpp: Removed preprocessor line continuation backslash that's asking for trouble. [Vas Crabb]

-sound/va_vca.cpp: Applend suffixes for variant names. [Vas Crabb]

-commodore/pet: Fix loading on 8050/8250/SFD-1001 floppy drives. [Curt Coder]

Systems promoted to working
---------------------------
Maque Wangchao / Chaoji Da Manguan 2 - Jiaqiang Ban (China, V100C) [anonymous]

-galaxian/galaxold.cpp: measured clocks for dkingjrv [Porchy]

-lisa: Massive updates core: Better support for external mmus [Olivier Galibert]
 * Note: I didn't expect to push that one right now, it's missing documentation among other things, but since some people seems to
    be interested to work on that driver I don't want to hold them.

-Fix include guards [Olivier Galibert]

-Add the translate methods to the other mmus [Olivier Galibert]

New working software list items
-------------------------------
cbm8296_flop: ExecuDesk [Curt Coder]

New software list items marked not working
------------------------------------------
cbm8296: PETpeeve [Curt Coder]

-commodore/pet: Floppy code cleanup. [Curt Coder]

New systems marked not working
------------------------------
Compal TS30A [MacDat Laptop Portal]
Compal TS30AS [MacDat Laptop Portal]
Compal TS30AT [MacDat Laptop Portal]

-atari/jagblit.ipp: improve non-TOPBEN handling [angelosa]
 * fix hstrike difficulty select blending, partially fix battlesp main menu

-atari/jagblit.ipp: preliminary GOURZ support [angelosa]

-cpu/jaguar/jaguar.cpp: fix mmult opcode [angelosa]
 * fix BIOS ATARI letters, 3d renders in superx3d and hstrike

-atari/jaguar_a.cpp: clear DSP irq lines on JPIT and serial disabled [angelosa]

-atari/jagobj.ipp: avoid potential crash in raiden [angelosa]

-scripts: Cleaned up devices build scripts a bit: [Vas Crabb]
 * Lua considers anything other than null or false to be "truthy".  The tests against "null" were comparing to a non-existent global
    called "null" that evaluated to nil.
 * Got bus.lua back in alphabetical order and got at least most of the trigger variables aligned with paths.
 * At least don't put random stuff in the middle of the Acorn devices in machine.lua.

-cpu/adsp2100: Corrected some tabulaton that had rotted. [Vas Crabb]

-cpu/tms32032: Got rid of some superfluous parentheses. [Vas Crabb]

-apple/lisa*.cpp: Added ATTR_COLD on stuff. [Vas Crabb]

-mraker: add bonus life dsw [hap]

-prav8c: Emulate dedicated keyboard (and remove cassette tape) [AJR, Sandacite Forum]

-namco_c123tmap: zerofill control regs [hap]

-atari/atarisy1.cpp: Added unreleased Relief Pitcher game on System 1. (#14737) [mamehaze]

New systems marked not working
------------------------------
Relief Pitcher (System 1, prototype) [anonymous, Dutchman2000, SynaMax]

-kenseim.lay: add separate views for the moles [hap]

-casio/dg20.cpp: Added Casio DG-10 and DG-20 digital guitars (missing PCM ROMs). (#14782) [Devin Acker]
 * sound/upd931.cpp: Added register mirroring, moved pitch/timbre setup to octave register write.

New systems marked not working
------------------------------
Casio DG-20 Digital Guitar [BCM, Devin Acker]

New clones marked not working
-----------------------------
Casio DG-10 Digital Guitar [BCM, Devin Acker]

-casio/dg20.cpp: Using PORT_WRITE_LINE_MEMBER for anything other than 1/0 is off-label use. [Vas Crabb]

-kiwako: Corrected some notes. [Vas Crabb]

-commodore/pet: Pair DOS and FDC ROMs appropriately for the 8050 floppy drive. [Curt Coder]

-atari/jaguar.cpp: workaround for battlesp/battlesg black screen [angelosa]

-cpu/jaguar/jaguar.cpp: add N flag for abs opcode and simplify calculation [angelosa]

-hash/jaguar.xml: flipout wants a ROM mirror [angelosa]

-kenseim.lay: tweak colors a bit, k28o.xml: update notes, snread.xml: correct company for newer modules [hap]

-prav8c: Replace inverse lowercase with Cyrillic lowercase [AJR]

-cpu/jaguar/jaguar.cpp: accumulator readback is sign extended [angelosa]

-atari/jaguar.cpp: fix wave ROM endianness [angelosa]
 * allows BIOS logo to correctly play notes

-cpu/jaguar/jaguar.cpp: get rid of imultn hack [angelosa]

-DRC: Minimise the number of pages that need protection changes. (#14774) [Vas Crabb]
 * cpu/drcbeut.cpp: Allocate (misnamed) hash table blocks from the permanent cache area so they aren't intermixed with executable
    code.
 * cpu/drccache.cpp: Only mark pages writable starting from the beginning of unused space.

-atari/jagblit.ipp: fix clipping A1 [angelosa]
 * shows proper spinning cube in BIOS

-atari/jaguar_v.cpp: stop drawing at display end [angelosa]
 * fix valdiser gameplay flickering

-atari/jagobj.ipp: fix object code returns [angelosa]

-Add a Sanyo LC6500 series disassembler [Dirk Best]

-add QIC-02 connector and controller interface [Patrick Mackinlay]

-multibus/dsd5217.cpp: add QIC-02 interface [Patrick Mackinlay]

-sgi/iris.cpp: consolidate IRIS 68k driver [Patrick Mackinlay]

-atari/jaguar_v.cpp: partial implementation of suspend state in object processor [angelosa]
 * fix kasumi rowscroll floor

-atari/jaguar_v.cpp: move line buffer array as variable, clear it when starting object processor [angelosa]
 * fix valdiser playfield

-sound/es5503.cpp: Fixed off-by-1 sample position adjustment on looping. (Github #14582) [R. Belmont, Yuri213212]

-cps2: don't set sprite priorities before screen_update [hap]

-irem m10: remove screen timing constexpr from class [hap]

-ipminvad2: fix bases tile drawing [hap]

-prav8ckb: Rename callback; minor update to notes [AJR]

New working clones
------------------
Sparkle (v1.1.3) [Hammy]

New clones marked not working
-----------------------------
Puzz Loop (Korea, bootleg) [buffi, nnap, rtw, hammy]

-kaneko/suprnova.cpp: Fix metadata of bootleg set (#14795) [cam900]

New systems marked not working
------------------------------
Diamond Heart Plus (v18.0) [Siftware]

New working clones
------------------
Vanguard (SNK, set 2) [caius]

-atari/jaguar_v.cpp: ignore stalling the suspend timer for now [angelosa]

-cpu/jaguar/jaguar.cpp: make the branch hack confined to CoJag [angelosa]

-atari/jaguar_v.cpp: notes, also revert e89c1ba257a39cf821fe6ce6098fc756acd4524b [angelosa]
 * causes regression in mutntpng

New working clones
------------------
Super Poker (v305US) [Siftware]

-jaleco/megasys1.cpp: corrected ROM labels and locations for 64street [Hammy]

-Miscellaneous recompiler improvements: [Vas Crabb]
 * cpu/drccache.cpp: Honour requested alignment for allocations.
 * cpu/drcbeut.cpp: Allow back-end to specify preferred alignment for hash table blocks.
 * cpu/drcbearm64.cpp: Shuffled generated code for HASHJMP a bit to be less sensitive to load latency.

-midway/midxunit.cpp: Added a later version of Revolution X revision 2 (#14786) [ClawGrip]

New working clones
------------------
Revolution X (revision 2.0 9/8/94) [Victor Fernandez (City Game)]

-frontend/mame/luaengine.cpp: Better handling of options: [Vas Crabb]
 * Use "classic" locale for numeric conversions.
 * Don't use capturing lambdas.
 * Put integer overload of value() before float overload.

-util/options.cpp: Shuffled numeric option conversions: [Vas Crabb]
 * Moved float/integer conversions into the option entries themselves.
 * Fixed another bug where float values would be converted to strings with the global local, but converted from strings using the
    "classic" locale.
 * frontend/mame/luaengine.cpp: Got rid of duplicated numeric options conversion code.

-20pacgal: small cleanup [hap]

-z180: can't shortcut with m_icount=0 after SLP opcode due to possible background timer/dma [hap]

-20pacgal: add TODO note about timing [hap]

New clones marked not working
-----------------------------
Happy Farm (Ver. IN.01.01.A) [Siftware]

-astrocorp/astrcorp.cpp: provided good dump for the westvent set program ROMs [Siftware]

-ui/submenu.cpp: Use "classic" locale for numeric conversions, suppor UI Clear to set default. [Vas Crabb]
 * Note that setting the default just sets the option to its default value at "command line" priority - the options system doesn't
    support peeling off a layer.

-luna: More advances nscsi/hd: Allow to add a per-driver default hd model (still overriden by an IDNT metadata) hd63450: Add support
 for packed data and >8 bits direct device access mb87030: Fix some timings (drq write would shorten waits) [Olivier Galibert]

-sgi/iris_kbd.cpp: add IRIS keyboard emulation [bitsavers]

-Various uPD7801-related tweaks (#14794) [Devin Acker]
 * Various uPD7801-related tweaks
   - upd7801: use 4kb internal ROM
   - upd7801, 78c0x, 781x: more accurate set of registers viewable in debugger
   - fp1100, fp1000: split up subcpu internal and external ROM regions
   - fp1000: fix ROMs for subcpu and chargen being swapped with each other
 * fix copy/paste mixup
 * fp1000: restore chargen ROM comment [skip ci]

-misc/3do.cpp: misc notes [angelosa]

-atari/jaguar.cpp: make jaguarcd to boot from BIOS ROM, fixes screen size [angelosa]

-misc/3do_m.cpp: split Uncle in own memory map [angelosa]

-20pacgal: added screen raw params after Guru measured video timing [hap]

-3do_m: fix clang compile [hap]

-20pacgal: remove useless do_pen_lookup function [hap]

-misc/3do.cpp: convert Madam and Clio to address_map [angelosa]

-ld50: add generic MIDI output and battery level input (#14793) [Devin Acker]

-x68k_flop: laplacec is a cracked older version (#14787) [eientei95]
 * No version numbers visible other than the one for the mouse driver.

-sinclair/*.cpp Added scroll to kempston mouse input (#14789) [holub]

-misc/3do_m.cpp: fix lambda capture [angelosa]

-Cleaned up metadata in various software lists: (#14775) [ArcadeShadow]
 * aim64_cart.xml, gba.xml, pc1000.xml: Added parent/clone relationships.
 * bbc_cass.xml, gba.xml, pippin_flop.xml: Improved some item descriptions.
 * pippin.xml, pippin_flop.xml: Be consistent with company name in list title.
 * pippin.xml: Removed .chd suffix from disc labels.

-dynax/royalmah.cpp: Corrected some DIP switch settings for Mahjong Tensinhai and Mahjong Raijinhai. [Vas Crabb]
 * Also cleaned up some stuff.

-m57: add screen raw params based on m52 and add todo notes, 20pacgal: update notes [hap]

-evolution_handheld.cpp: Remove incorrectly copy+pasted comments (#14805) [mamehaze]

Clones promoted to working
--------------------------
Pravetz 8C [AJR]

-prav8c: Use PAL timings [AJR]

-floptool: Minor code cleanup [AJR]

-20pacgal: update note, small cleanup [hap]

-windows/winmain.cpp: Set global C++ locale when the standard library isn't broken. [Vas Crabb]
 * GNU libstdc++ only provides a useless stub locale implementation when using anything other than the glibc standard C library.
    However, llvm libc++ provides a locale implementation that works fine with UCRT.

-dynax/royalmah.cpp: Filled in Mahjong Raijinhai DIP switches from available manual pages. [Vas Crabb]

-docs: added note about MinGW clang/llvm issues with CodeView/PDB symbols at high detail levels. [Vas Crabb]

-misc/3do.cpp: split Madam and Clio into own devices (#14804) [Angelo Salese]
 * misc/3do.cpp: split Clio into own device
 * misc/3do.cpp: convert Madam to device
 * misc/3do_clip.cpp: hookup DSPP
 * misc/3do_clio.cpp: add logmacro
 * misc/3do_madam.cpp: move diag port as devcb, disable by default
 * misc/3do_madam.cpp: add logmacro
 * misc/3do.cpp: fix lambda capture

-pc/teradrive.cpp: a11100 reads are tied to BUSACK [angelosa]
 * allow orunnersj, rhythmld and late SGDK to boot

New working clones
------------------
Tic Tac Trivia (6221-20, U5-0B, 11/17/85) [Brian Troha, The Dumping Union]

New systems marked not working
------------------------------
Lan Mao [SongJi]

-merit/merit.cpp - Dumped newer program ROMs for Trivia Whiz as well as the question decoder PROM for the Trivia Whiz sets.
 [Brian Troha]

-atarisy1.cpp: Set reliefs1 to use atarisy1r_state so that controls work (#14810) [mamehaze]

-misc/3do_clio.cpp: initial hookup of a CR-560-B CDROM drive [angelosa]

-cops1: fix possible issue with BLK pin after skipped opcode [hap]

-atari/atarisy1.cpp: Fixed inputs for Relief Pitcher (System 1). (#14812) [SynaMax]
 * Also added note that ROM checksum failure is not an emulation issue.

-misc/3do_clio.cpp: hookup DSPP DACs [angelosa]

-video/pc_vga_*: add imperfect feature graphics where it belongs [angelosa]
 * fix Trident tgui9860 -> tgui9680 naming

-misc/3do.cpp: split BIOSes by model types, retire original 3do_ntsc / 3do_pal romsets (#14813) [Angelo Salese]
 * misc/3do.cpp: split BIOSes by model types, retire original 3do_ntsc / 3do_pal romsets
 * all new dumps provided by [3dodev]
 * misc/3do.cpp: HC-21 is an unreleased USA model
 * misc/3do.cpp: add kanji region stub for alg sets

-formats/fs_prodos.cpp: Add loading address to metadata [AJR]

-snk/snk.cpp: Add 2 missing save state variables (#14818) [TheLostNinja]

-ussr/juku.cpp: Enable screen line 241, fix JBASIC dump, add new BIOS and other software (#14817) [Märt Põder]
 * Enable screen line 241 as tested on real hardware (thanks to Pehka1985)
 * Fix byte at JBASIC dump 021A based on JMON3.3 and reread
 * Add EKTA BIOS nr 31 with Disk/Net boot (thanks to Pehka1985)
 * Fix version number for EKTA BIOS nr 32
 * Add J3K games disks 2024 and 2025 to software list

New working software list items (juku.xml)
------------------------------------------
J3K Games Disk 2024 [Juku 3000]
J3K Games Disk 2025 [Juku 3000]

-cpu/sharc/sharcdrc.cpp: Fixed bug in shift, obvious optimisations: [Vas Crabb]
 * Fixed shift with variable count when count is positive (should shift left, was shifting right).
 * Use recently-introduced UML bit field extract instructions.
 * Don't follow arithmetic with redundant compare to zero if only zero flag is required.
 * Let the back-end take care of fetching source from memory or immediate for simple arithmetic.
 * Assume the back-end knows how to generate conditional CALLH.
 * Use BIT helper.
 * Don't assume x86-like magic sequence breaking on self-XOR.
 * Corrected a comment that didn't match the code.

-docs: Corrected syntax for generating UML conditional CALLH instructions. [Vas Crabb]

-video/pc_vga_trident.cpp: rename tgui9680 shortname [angelosa]

-misc/3do.cpp: fix execution for IS_BIOS_ROOT romsets [angelosa]

-misc/3do_madam.cpp: add player bus DMA [angelosa]

-misc/3do_clio.cpp: hookup expansion bus interrupt [angelosa]

-misc/3do_clio.cpp: convert system timer to emu_timer [angelosa]

-skeleton/lanmao.cpp: hooked up some stuff [Ivan Vangelista]

-cpu/sharc/sharcdrc.cpp: Handle corner cases for FEXT. [Vas Crabb]
 * The interpreter probably needs updating, too.

-cpu/sharc/sharcdrc.cpp: Fixed MIN and MAX when Rn and Ry are the same register. [Vas Crabb]

-cpu/sharc/sharcdrc.cpp: Handle corner cases for FDEP. [Vas Crabb]

-Connect I8087 to GRiD Compass (#14806) [Valera Klachkov]

-New CPU core: Sanyo LC6554 [Dirk Best]
 * amiga/cdtv: Implement front panel with VFD and control buttons. Play/Pause, Stop, Previous and Forward buttons not yet working
    because the "Remote Control Input Converter" isn't hooked up yet.

-cirsa/neptunp2.cpp: made perlacrb show the first error [Ivan Vangelista]

-cpu: Improved naming of TMS320 series DSPs. [Vas Crabb]
 * Name folders after families rather than the first family member emulated by MAME (yes, TMS320C1x and TMS320C2x are retrospective
    names).
 * Follow TI's convention of including the "C" in the names.
 * Don't try to jam all the disassembler source file names into 8.3.
 * The TMS32010, TMS320M10 and TMS320C10 are different things, but unfortunately MAME hasn't made a distinction between them so far.
    As far as I can tell, early DECTalk devices used TMS32010 or TMS320M10 chips, while the Atari and Toaplan games used TMS320C10
    chips, but this should be verified.

-unidasm: Fix build after 4cca9c37840dd92315a24ffc86eed1c4895e809a [AJR]

-misc/3do.cpp: relicense to BSD-3 [angelosa]

-misc/3do.cpp: preps for VDLP display list parsing, add Amy stub [angelosa]

-ace500: Enable IOUDIS soft switch (fixes mouse interrupt) [AJR]

-coreaudio_sound: apply a default channel mapping for devices where macOS gives no layout information, like MacBook internal
 speakers.  Fixes things being in mono when they shouldn't. [R. Belmont]

-atari_fdc: Don't acknowledge commands with invalid drive numbers; small code cleanup [AJR]
 * pokey: Don't flag SEROUT full when held in reset

-amiga/cdtv: Minor layout update. Fix volume segments, change CD LED color. [Dirk Best]

-misc/3do.cpp: move drawing into Amy [angelosa]

-sequential/prophet5.cpp: Incorporated the CEM3320 filter. (#14826) [m1macrophage]
 * sound/va_vcf.cpp:
   - va_vcf_device: Added functions for accessing frequency and resonance gain.
   - cem3320_lpf4_device: Removed feedback resistor from the constructor.
   - cem3320_lpf4_device: Input stream can be a current or a voltage.
     * linn/linndrum.cpp:
   - Adapted to the interface changes above.
     * sequential/prophet5.cpp:
   - Incorporated CEM3320, and emulated a subset of its frequency control and trimmers.
   - Created and used enums for CV indices.
   - Renamed some inputs.

-misc/3do_clio.cpp: use slack as system timer tick unit [angelosa]

-cpu/sharc: More fixes: [Vas Crabb]
 * Fixed SV flag for LSHIFT/ASHIFT in recompiler (interpreter was correct).
 * Simplified generated code for FEXT with non-immediate bit position/length in recompiler.
 * Fixed off-scale ASHIFT in recompiler.
 * Fixed off-scale FEXT with sign extension in interpreter.

-skeleton/lanmao.cpp: hooked up 24c02, added pre-initialized NVRAM and preliminary inputs [Ivan Vangelista]

-cpu/sharc/sharcdrc.cpp: Fixed two copy/paste errors. [Vas Crabb]
 * One pre-existing, one introducted in 26cac45f03c20cec397ddd3a75d2c5caff3239e1.

-noscreens.lay: make warning msg more generic and brief, and put it in a collection(toggle) [hap]

-noscreens.lay: add red background [hap]

-noscreens.lay: add footnote with more verbose msg [hap]

-sega/model1.cpp: default NVRAM is 1-filled [angelosa]

-pc/teradrive.cpp: reformat Z80 busack notes [angelosa]

-misc/3do.cpp: hookup Portfolio SWI calls to DASM [angelosa]

-Relief Pitcher (System 1) promoted to WORKING (#14816) [SynaMax]

-misc/3do_madam.cpp: initial checkin for Cel engine emulation [angelosa]

-LUA:  Ensuring that `entry:default_value()` returns the correct type (#14825) [npwoods]
 * `entry:default_value()` was always returning string.  A consequence of this problem is that the following LUA commands would
    error
 * ``` manager.options.entries['beam_dot_size']:value(manager.options.entries['beam_dot_size']:default_value())
    manager.options.entries['frameskip']:value(manager.options.entries['frameskip']:default_value()) ```
 * With this change, `default_value()` will return objects of the correct type

-tk3000: Emulate Z80-based keyboard with mode switch and programmable functions [AJR]

-tk3000: Fix clone relationship [AJR]

-sgi/iris_kbd.cpp: verified cpu type and clock [Patrick Mackinlay]

-sgi/pm2.cpp: add gfxdecode for firmware font [Patrick Mackinlay]

-machine/i82586.cpp: improve buffer exhaustion logic [Patrick Mackinlay]

-multibus/exos201.cpp: add Excelan EXOS 201 network card [bitsavers]

-noscreens.lay: no mame lingo in warning msg [hap]

-odyssey2: update todo notes [hap]

-misc/3do_madam.cpp: improve Cel pixel writes [angelosa]

-capcom/1943.cpp: Document and hook up sprite buffering trigger [AJR, jwestfall69]

-1943: Actually use buffered sprite RAM [AJR]

-misc/39in1.cpp: swap CGA and VGA option text (#14811) [LeWolfYT]

-taitojc.cpp: add wheel_motor for sidebs and sidebs2 (#14808) [Endprodukt]

-sega/model2.cpp: Delay IRQ mask update by 2 cycles. (#14833) [Matthew Daniels]
 * Avoids possibility of sound_ready_w() bypassing the 2 cycle delay and firing a sound interrupt too early.

-shougi: hook up sharedram direction bit, small cleanup [hap]

New systems marked not working
------------------------------
Multi Game 9 (ver 9.04 Eng) [Siftware]

-skeleton/lanmao: added adpcm bank support (#14830) [flama12333]

-3do_madam.cpp: CEL 16bpp packed source [angelosa]

-Miscellaneous device improvements: [Vas Crabb]
 * machine/k033906.cpp: Added read side effects check (should fix MT08830).
 * cpu/tms320c3x: Marked TMS320C31 as parent ROM of TMS320VC33.
 * cpu/sharc: Cleaned up formatting of 64-bit values and initialisation of opcode dispatch table.

-misc/3do_madam.cpp: implement bgnd, sign extend xpos & ypos [angelosa]

-misc/3do.cpp: hookup SW list [angelosa]

New software list items marked not working
------------------------------------------
3do: Captain Quazar (USA), Cowboy Casino (USA), ESPN Fitness Pros: Step Areobics (USA), Virtual Puppet Reika (Japan), Virtuoso (USA)
  [redump.org]

-devices/machine/k033906.cpp: corrected init order [Ivan Vangelista]

-source org: rename cxg folder to newcrest, misc: update notes [hap]

-k033906.h: remove old i/o lines comment [hap]

-source org: move chess/krypton_challenge.cpp to newcrest/legend.cpp [hap]

-capcom/cps2.cpp: Fix hardware documents (#14835) [cam900]

New working systems
-------------------
Sphinx Legend [hap, Berger]

-skeleton/lanmao.cpp updates: [Ivan Vangelista]
 * hooked up hopper and 31st LED [flama12333]
 * identified inputs [SongJi]

-misc/3do_madam.cpp: implement 6bpp packed CEL [angelosa]

-bus/mpf1/ssb.cpp:  Added SSB-MPF-IP variant. [Nigel Barnes, Kevin Horton]
 * Fixed the speech RS/WS lines, device is now working.

-skeleton/pencil2.cpp: Added Memory Extension slot, with 16K Memory and Coleco Adaptor devices. [Nigel Barnes]
 * Replaced GENERIC_CARTSLOT with COLECOVISION_CARTRIDGE_SLOT.
 * Added controllers with COLECOVISION_CONTROL_PORT, fixes MT08759.
 * Hooked up Coleco software lists.

New working software list additions
-----------------------------------
pencil2: Big Foot Chase [6502man, Rayxamber]
Deepspace, H-Tron, Mastermind RK, Sokoban RK [robertk-retro]

-pencil2_cass: Application Software Library [Robbbert]

-bus/bbc/rom: Added the D.E.Talker Speech Synthesizer. [Nigel Barnes]

-bus/bbc/tube: Added the CMS 6502 2nd Processor. [Nigel Barnes]

-skeleton/lanmao.cpp: fixed duplicated buttons [Ivan Vangelista]

New working software list additions
-----------------------------------
bbc_rom: Advanced Disc Investigator 1.00 S/N:43720, Advanced Disc Toolkit 1.73 (cracked), Amcom DFS S/N:B4190, Amcom E-Net 6.36B,
  Amcom E-Net Client 6.09M, Amcom WFS 5.23, Logik BComp 1.05, B-Utility 1.24, CMS Link (alt), CMS Link, Commstar 1094, Commstar
  1096, Commstar 7585, Commstar 7587, Commstar 8827, Commstar II 2.31 S/N:22816, Commstar II 2.40 S/N:22816, Commstar II 2.40
  S/N:23977, DataTrace 2.34, D.E.Talker 2.30, GS Forth 2.03, GS Forth 2.08, KCopy 1.03, Logotron-LOGO 1.01, Lucifer Logic Analyser
  2.0b, Multi-Basic 3.0, SPEECH-system 1.6, Toolstar 1.77 1511 (T1417), Watford Electronics 32K RAM 1.06, Watford Electronics 32K
  RAM 2.00 (alt), Watford Electronics 32K RAM 2.20, Watford Electronics Speech Software, Watford Electronics Speech Software (alt)
  [Nigel Barnes]

New NOT_WORKING software list additions
---------------------------------------
bbc_rom: Epromer II 2.3.2, Replay System 8271 1.00A, Replay System 8271 1.10B, Replay System 8271 1.10C, Replay System WD1770 1.01
  (alt) [Nigel Barnes]

-clayshoo: added pit8253 sound, increase z80 clock [hap]

-bus/cbmiec: add Xetec C-5181 printer interface (#14839) [Devin Acker]
 * cpu/m6805: add MC14805E2 CPU variant

-apple2_flop_orig, apple2_flop_clcracked, apple2_flop_misc, apple2gs_flop_orig added 34 (33 working, 1 non-working) and metadata
 cleanups (#14828) [A-Noid33]
 * Focusing on Adventure International Brøderbund Software, Electronic Arts, MicroProse Software, Microsoft

New working software list items (apple2_flop_orig.xml)
------------------------------------------------------
BannerMania (800K 3.5") [4am, A-Noid]
Conflict in Vietnam (version 331.00) [4am, A-Noid]
Crusade in Europe (version 2) [4am, A-Noid]
Crusade in Europe (version 321.03) [4am, A-Noid]
Dazzle Draw (version 1984-11-15) [4am, A-Noid]
Dazzle Draw (version 1985-09-16) [4am, A-Noid]
Decision in the Desert [4am, A-Noid]
F-15 Strike Eagle (revision 1) [4am, A-Noid]
F-15 Strike Eagle (revision 2) [4am, A-Noid]
F-15 Strike Eagle (revision 3) [4am, A-Noid]
Microsoft Decathlon [4am, A-Noid]
NATO Commander (revision 1) [4am, A-Noid]
NATO Commander (version 1.1) [4am, A-Noid]
NATO Commander (version 1.2) [4am, A-Noid]
Olympic Decathlon [4am, A-Noid]
Other-Venture #1: Classic Adventure [4am, A-Noid]
Silent Service (revision 1) [4am, A-Noid]
Silent Service (version 325.02) [4am, A-Noid]
Silent Service (version 325.04) [4am, A-Noid]
Solo Flight [4am, A-Noid]
Strike Fleet [4am, A-Noid]
The Adventures of Buckaroo Banzai: Across The 8th Dimension! [LoGo, 4am, A-Noid]
The New Print Shop [4am, A-Noid]
The Print Shop Companion (revision 1) [4am, A-Noid]
The Print Shop Companion (revision 2) [4am, A-Noid]
The Print Shop Companion (revision 3) [4am, A-Noid]
The Treehouse (version 1.0) (800K 3.5") [4am, A-Noid]
Where in America's Past is Carmen Sandiego? (version 1.00) (800K 3.5") [4am, A-Noid]

New non-working software list items (apple2_flop_orig.xml)
----------------------------------------------------------
Sid Meier's Pirates! (version 332.01) [4am, A-Noid]

New working software list items (apple2_flop_clcracked.xml)
-----------------------------------------------------------
The Adventures of Buckaroo Banzai: Across The 8th Dimension! (4am crack) [LoGo, 4am, A-Noid]

New working software list items (apple2_flop_misc.xml)
------------------------------------------------------
The Animated Software Catalog 1985 (Baudville) (version D1551) [4am, A-Noid]
Pillage Village (One Eye crack) [asimov, Jason Dyer, A-Noid]

New working software list items (apple2gs_flop_orig.xml)
--------------------------------------------------------
Music Construction Set Dealer Demo [4am, A-Noid]
Where in the World is Carmen Sandiego? (version 1.1) [4am, A-Noid]

-Co-authored-by: Bob Schultz <bobschultz03@gamil.com> [A-Noid33]

-psx.xml: Added 26 working items + 9 redumped items (#14791) [ArcadeShadow]
 * psx.xml: Added 26 working items + 9 redumped items

New working software list additions
-----------------------------------
Advanced Dungeons & Dragons: Iron & Blood - Warriors of Ravenloft (Europe) [Redump]
Agent Armstrong (Europe) [Redump]
Agile Warrior (Japan) [Redump]
Agile Warrior: F-111X (Europe) [Redump]
Allied General (Japan) [Redump]
Animal Football (Europe) [Redump]
Archer Maclean's 3D Pool (Europe) [Redump]
Asteroids (Europe) [Redump]
Asteroids (France) [Redump]
Asteroids (Germany) [Redump]
Asteroids (Italy) [Redump]
Asteroids (Japan, SuperLite 1500 Series) [Redump]
Ayrton Senna Kart Duel (Europe) [Redump]
Ayrton Senna Kart Duel (Japan) [Redump]
Ayrton Senna Kart Duel 2 (Europe) [Redump]
Ayrton Senna KartDuel 2 (Japan) [Redump]
Ayrton Senna Kart Duel Special (Japan) [Redump]
Baby Felix Tennis (Europe) [Redump]
Boxer's Road (Japan) [Redump]
Boxer's Road (Japan) (PlayStation the Best) [Redump]
Bubble Bobble also featuring Rainbow Islands (Europe) [Redump]
Panzer General II: Allied General (Europe) [Redump]
Sampras Extreme Tennis (Europe) [Redump]
Sampras Extreme Tennis (Japan) [Redump]
Septentrion: Out of the Blue (Japan) [Redump]
Septentrion: Out of the Blue (Japan) (Major Wave Series) [Redump]

Redumped software list items
----------------------------
Advan Racing (Japan) [Redump]
Advanced Dungeons & Dragons: Iron & Blood - Warriors of Ravenloft (USA) [Redump]
Advanced Dungeons & Dragons: Iron & Blood - Warriors of Ravenloft (USA, demo) [Redump]
Agent Armstrong: Himitsu Shirei Daisakusen (Japan) [Redump]
Agile Warrior: F-111X (USA) [Redump]
Allied General (USA) [Redump]
Asteroids (USA) [Redump]
Bubble Bobble also featuring Rainbow Islands (USA) [Redump]
Xena - Warrior Princess (USA) [Redump]

Promoted to working
-------------------
Agent Armstrong: Himitsu Shirei Daisakusen (Japan) [ArcadeShadow]

-Update psx.xml [ArcadeShadow]
 * Added copy protection info in "PSone - Wherever, Whenever, Forever." sets

-ibm5170.xml, ibm5170_cdrom.xml, zx81_cass.xml: Start converting "usage" info and comments into new "required_ram" and "required_os"
 info [AJR]

-hash/ibm5170_cdrom.xml: Fix validation error [AJR]

-clayshoo: remove tag lookups, change ad sticks to paddles, change fake skill switch toggles to confsetting, add dsw locations [hap]

-gamepock: correct cartridge rom range [sfiera]

-misc/3do_madam.cpp: implement coded 4bpp and 16bpp packed CEL [angelosa]

-commodore/pet: Started cleanup of legacy code. [Curt Coder]

-tecmo/shadoww_ms.cpp: fleshed out the driver. Most glaring remaining problem is sound isn't hooked up [Ivan Vangelista]

-misc/3do_madam.cpp: hookup stopgap player 1 inputs [angelosa]

-apfimag_cass.xml, dmv.xml, pc8801_flop.xml: Use "required_os" and "required_ram" info elements [AJR]

-pc8801_flop.xml: Revert changes of c05eb9197f91a0643d2d89ecdbfe2490e53699ad [AJR]

-ibm5170_cdrom.xml: Direct X is not an OS [AJR]

-ace: improve colors, increase score panel size, add border graphics, add confsettings, small cleanup [hap]

-pet: add a few enters on long comment line from prev commit [hap]

-bus/cbmiec/c5181.cpp: More device options, defaults for Baud rate. [Vas Crabb]
 * At least let people hook up sockets and pseudo terminals.

-atari/jaguar.cpp: Fixed comment about RAM organisation. [Vas Crabb]

-misc/3do.cpp: replace memory_bank with a memory_view for overlay handling [angelosa]

-ace: correction to in2 offsets, leave sound triggers unmapped [hap]

-gbcolor.xml: Add South Park prototype ROM (#14809) [Mike Swanson]

New working software list items (gbcolor.xml)
---------------------------------------------
South Park (prototype) [DaKoolDood]

-nintendo/snesb.cpp: promote piratdwb to working (#14802) [Devin Acker]

Machines promoted to working
----------------------------
The Pirates of Dark Water (SNES bootleg) [Devin Acker]

-namcops2.cpp: Document offline English version of Battle Gear 3 (#14792) [FMecha]
 * BG3 O (English/export online) should have same dongle ID as JP one

-LUA:  Fixing an issue setting float options (#14843) [npwoods]
 * LUA only has a `number` type, and as such currently the handler for options of type `int` is going to intercept floating point
    numbers, even if they can't be cast to integers.  This can be reproduced with the following command:
 * ``` manager.options.entries['beam_dot_size']:value(2.5) ```
 * With this change, there is a single handler for LUA type `number` that takes a `float` and can set integer options provided that
    the `float` can be represented as an `int` losslessly.

-Revert "LUA:  Fixing an issue setting float options (#14843)" [Vas Crabb]
 * This reverts commit 19ae7a99fc00b54809781f0171ec1c18d1e05e41.
 * The basic premise of the PR is wrong, and what it supposedly "fixes" works fine without the change.

-atari/jaguar_a.cpp: extend CoJag Jerry irq hack note [angelosa]

-misc/3do.cpp: add adbio output support, hookup kanji ROM for Japanese systems [angelosa]

-segas16b: move game specific savestates to game specific init [TheLostNinja]

-i8051: some variables were missing savestates after OG's refactor [TheLostNinja]

-lethalj: add support for savestates [TheLostNinja]

-i8051: small cleanup to spacing [hap]

-commodore/pet: Continued cleanup of legacy code. [Curt Coder]

New working systems
-------------------
Commodore PET 2001-4 (Japan) [Curt Coder]

Systems promoted to working
---------------------------
Commodore CBM 8032 (France) [Curt Coder]

-mcs51: clean up some single line comments [hap]

-cave/cv1k*.cpp: Fixed device naming and minor cleanups. (#14838) [cam900]

-cave/cv1k_v.cpp: [cam900]
 * Change ep1c* files filename to cv1k_v*, because This file is emulation core for cave CV1000 hardware specific and more closer to
    describe actual purpose, also ep1c is part family name of Altera Cyclone (1) FPGAs.
 * Suppress side effects for debugger reads, use logmacro.h for replace plain logerror function
 * Reduce some duplicates, remove unnecessary device finder, make some variables constant
 * Use reference to replace pointers, use util::sext for signed values
 * Add notes

-cave/cv1k.cpp: [cam900]
 * Fix metadata for describe region
 * Use shorter typename value for consistency, reduce duplicates
 * Improve naming, improve logging
 * Reduce literal tag usage, reduce unnecessary functions
 * Add notes

New machines marked as not working
----------------------------------
Dynacord MCC-1 MIDI Control Computer [DBWBP, Edward D-tech]
Motorola ASSIST05 [AJR]

-prav8ckb: Enable the alternate Cyrillic keyboard layouts [AJR]

-tk3000: Add extra keys not present on actual HW (hidden behind a preprocessor switch) [AJR]

-ekara_cart.xml, hikara.xml: Added 3 e-kara Web cartridges and 1 Hi-kara user cartridge. (#14847) [mamehaze]

New working software list items (ekara_cart.xml)
------------------------------------------------
e-kara Web cartridge 28M (used, with 28 songs) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 12 songs, set 10) (Japan) [David Haywood, TeamEurope]
e-kara Web cartridge 12M (used, with 11 songs) (Japan) [David Haywood, TeamEurope]

New working software list items (hikara.xml)
--------------------------------------------
Hi-kara 10-song capacity user cartridge (used, with 9 songs) (Japan) [David Haywood, TeamEurope]

-srcclean and minor manual cleanup. [Vas Crabb]

-hd63450: Disable the packed mode implementation for the release, it breaks x68000 (and maybe others). [Olivier Galibert]

-frontend/mame/luaengine.h: Turn on sol's "safe numerics". [Vas Crabb]

-emu/debug: Use "classic" locale for debug console. [Vas Crabb]

-emu/romentry.cpp: Found another thing that needs to use the "classic" locale. [Vas Crabb]

-windows/winmain.cpp: Suppress digit grouping.  Too many things don't take it into consideration. [Vas Crabb]

-casio_rompack.xml: Added missing unsupported flag to new items. [Vas Crabb]

-n64.xml: Added missing parent/clone relationship. [Vas Crabb]

-casio_rompack.xml: Improved a couple of transliterations. [Vas Crabb]

-Revert "machine/spi_sdcard.cpp: Added configurable read/seek delays (#14763)" [Vas Crabb]
 * This reverts commit 6607006b583841bf20244fe1acd1c8484ac56a35.
 * This didn't do what it purported to do, i.e. increase response delays. It actually decreased response delays in almost all cases,
    because it replaced the default SPI_DELAY_RESPONSE argument value with configured values that default to zero.
 * Since it's based on a misunderstanding and affects all systems using the device, I'm reverting it.  It simply doesn't make sense.
